function [maxVAF,Pbest,Qbest]=multiAE(X,m,n,K,L,variance,nmultistart);
%performs the alternating exchanges algorithm nmultistart times and returns the best
%VAF value found
maxVAF=0;
for z=1:nmultistart
    [P,Q]=randompartition(m,n,K,L,0);
    [vafvalue,tempP,tempQ]=AE(P,Q,X,m,n,K,L,variance);
    if vafvalue>maxVAF
        maxVAF=vafvalue;
        Pbest=tempP;
        Qbest=tempQ;
    end
end