function [y1,y2,y3]=multikmeans(X,m,n,K,L,variance,nmultistart)
%This function performs the k-means algorithm nmultistart times and returns the best
%solution found
maxVAF=0;
for z=1:nmultistart
    [P,Q]=randompartition(m,n,K,L,0);
    [vafvalue,P,Q]=kmeans(P,Q,X,m,n,K,L,variance);
    if vafvalue>maxVAF
        maxVAF=vafvalue;
        Pbest=P;
        Qbest=Q;
    end
end
y1=maxVAF;
y2=Pbest;
y3=Qbest;